%global momorel 2
%global md5sum_src0 6d0346abd16914956bc7ea4f17fc85fb

Summary: Allows restricted root access for specified users.
Name: sudo
Version: 1.6.8p9
Release: %{momorel}m
License: Modified BSD
Group: Applications/System
%NoSource 0 ftp://ftp.sudo.ws/pub/sudo/sudo-%{version}.tar.gz %{md5sum_src0}
#Patch0: sudo-1.6.8-libsudo_noexec.patch
URL: http://www.sudo.ws/sudo/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

%prep
%setup -q
# %%patch0 -p0 -b .sudonoexec

%build
CFLAGS="%{optflags}" \
./configure \
        --prefix=%{_prefix} \
        --mandir=%{_mandir} \
        --sbindir=%{_sbindir} \
        --with-logging=syslog \
	--with-logfac=auth \
	--with-pam \
	--with-env-editor \
	--with-ignore-dot \
	--with-tty-tickets \
	--disable-root-mailer \
	--with-editor=/bin/vi 
%make

%install
rm -rf %{buildroot}
mkdir %{buildroot}

sed -e 's/-o $(sudoers_uid) -g $(sudoers_gid) / /g' \
    -e 's/-o $(install_uid) -g $(install_gid) / /g' \
    -e 's/-m 4111//' -e 's/-m 0111//' Makefile > Makefile.$$
mv Makefile.$$ Makefile

#CFLAGS="%{optflags}" LDFLAGS="-static -R/lib -L/lib" \
make install DESTDIR=%{buildroot}

install -d -m 700 %{buildroot}/var/run/sudo

mkdir -p %{buildroot}/etc/pam.d
cat > %{buildroot}/etc/pam.d/sudo << EOF
#%PAM-1.0
auth       required	pam_stack.so service=system-auth
account    required	pam_stack.so service=system-auth
password   required	pam_stack.so service=system-auth
session    required	pam_stack.so service=system-auth
EOF

%clean 
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS CHANGES HISTORY LICENSE README RUNSON TODO TROUBLESHOOTING UPGRADE
%doc *.pod
%attr(0440,root,root) %config(noreplace) /etc/sudoers
%config /etc/pam.d/sudo
%attr(0700,root,root) %dir /var/run/sudo
%attr(4111,root,root) %{_bindir}/sudo
%attr(4111,root,root) %{_bindir}/sudoedit
%attr(0111,root,root) %{_sbindir}/visudo
%{_mandir}/man5/sudoers.5*
%{_mandir}/man8/sudo.8*
%{_mandir}/man8/visudo.8* 
%{_mandir}/man8/sudoedit.8*
%{_libexecdir}/*

%changelog
* Tue Jun 21 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.6.8p9-1m)
- up to 1.6.8p9
- [SECURITY] http://www.sudo.ws/sudo/alerts/path_race.html

* Mon May 16 2005 Kazuya Iwamoto <iwapi@momonga-linux.org>
- (1.6.8p8-1m)
- update to 1.6.8p8

* Fri Mar 18 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.6.8p4-2m)
- revise pam file to support multilib

* Thu Nov 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.8p4-1m)
- up to 1.6.8p4
- SECURITY update

* Tue Nov 16 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.6.8p2-1m)
- up to 1.6.8p2
- [SECURITY] Bash scripts run via Sudo can be subverted 
  http://www.courtesan.com/sudo/alerts/bash_functions.html

* Wed Sep 22 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.6.8p1-1m)
- up to 1.6.8p1
- [SECURITY] http://www.sudo.ws/sudo/alerts/sudoedit.html
  this expilot affected by only sudo 1.6.8

* Sat Aug 21 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.6.8-1m)
- up to 1.6.8
- correct License tag

* Sat Jul 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.7p5-2m)
- rebuild against glibc-2.3.2                               

* Sat May 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.7p5-1m)

* Wed May 07 2003 TABUCHI Takaaki <tab@kondara.org>
- (1.6.7p4-1m)
- update to 1.6.7p4
- use rpm macros

* Mon Apr  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.7p3-1m)
  update to 1.6.7p3

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.6.6-2k)
- security update

* Fri Jan 25 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.6.5p2-2k)
- update to 1.6.5p2
- change http:// to ftp:// for Omokon
- No NoSource

* Sat Jan 19 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.6.5p1-2k)
-  update to 1.6.5p1

* Thu Jan 17 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.6.5-6k)
  /etc/sudoers permition set to 0440

* Thu Jan 17 2002 WATABE Toyokazu <toy2@kondara.org>
- (1.6.5-4k)
- add configure option '--disable-root-mailer'.
  http://www.sudo.ws/sudo/alerts/postfix.html

* Thu Jan 17 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.6.5-2k)
  update to 1.6.5

* Wed Jan 16 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (1.6.4p2-2k)
- update to 1.6.4p2

* Wed Jan 16 2002 WATABE Toyokazu <toy2@kondara.org>
- (1.6.4p1-2k)
- update to 1.6.4p1

* Mon Aug  6 2001 Toru Hoshina <toru@df-usa.com>
- (1.6.3p7-8k)
- fixed system-auth issue.

* Mon Apr 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.6.3p7-4k)
- don't use fixvi.patch.

* Wed Mar 07 2001 TABUCHI Takaaki <tab@kondara.org>
- (1.6.3p7-3k)
- update 1.6.3p7
- remove patch1, now include source

* Sun Feb 25 2001 Motonobu Ichimura <famao@kondara.org>
- added OpenBSD's sudo patch (http://www.openbsd.org/errata.html#sudo)

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.6.3p3-3k)
- modified spec file and errased sudo-1.6.3p3-fhs.patch for compatibility

* Sun Aug 27 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS).

* Wed Jul  7 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed May 16 2000 Takaaki Tabuchi <tab@kondara.org>
- update to 1.6.3p3.
#- add -R/lib -L/lib at LDFLAGS.
- delete LDFLAGS.

* Sun Jan 9 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Sun Dec 19 1999 Taichi Nakamura <pdf30044@biglobe.ne.jp>
- update to 1.6.1

* Tue Dec 14 1999 Tenkou N. Hattori <tnh@kondara.org>
- change /etc/sudoers to noreplace.

* Tue Nov 30 1999 Tenkou N. Hattori <tnh@kondara.org>
- updated to 1.6
- be a NoSrc :-P

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.9p2 for Powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- sudo is configured with pam. There's no pam.d file. Oops.

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.59p1 for powertools 6.0

* Tue Oct 27 1998 Preston Brown <pbrown@redhat.com>
- fixed so it doesn't find /usr/bin/vi first, but instead /bin/vi (always installed)

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Mon May 18 1998 Michael Maher	<mike@redhat.com>
- updated SPEC file. 

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- updated to 1.5.4

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, no problems

* Fri Apr 25 1997 Michael Fulbright <msf@redhat.com>
- Fixed for 4.2 PowerTools 
- Still need to be pamified
- Still need to move stmp file to /var/log

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- First version for PowerCD.

